#include <iostream>
using namespace std;
int main()
{
    int A,B,C,D,E,br=0;
    cout << "Vuvedete razmerite na chetirite ureda i na kutiite za opakovka kato znaete che purvata kutia e po malka ili ravna na vtorata e po malka ili ravna na trtata a tq e po malka ili ravna na chetvurtata koqto e po malka ili ravna na kutiite za opakovka " << endl;
    cin >> A >> B >> C >> D >> E;
    if(E*E*E>=A*A*A+B*B*B+C*C*C+D*D*D)
    {
        br+=1;
    }else
    {
        if(E*E*E>=A*A*A+B*B*B+C*C*C)
        {
            br+=2;
        }else
        {
            if(E*E*E>=A*A*A+B*B*B)
               {
                   br+=3;
               }else
               {
                   if(E*E*E>=A*A*A)
                      {
                          br+=4;
                      }
               }
        }
    }
    cout << br << endl;
    return 0;
}
